using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Syncfusion.Web.UI.WebControls.Grid.Grouping;
using Syncfusion.Windows.Forms.Grid;
using Syncfusion.Grouping;
using System.Data.OleDb;

public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Init(object sender, EventArgs e)
    {
        this.GridGroupingControl1.TableDescriptor.Appearance.GroupCaptionCell.BackColor = this.GridGroupingControl1.TableDescriptor.Appearance.RecordFieldCell.BackColor;

        this.DataBind();

        if (this.IsPostBack == false)
        {
            this.GridGroupingControl1.Table.TopLevelGroup.ExpandAllGroups();
        }
    }
    protected void GridGroupingControl1_QueryCellStyleInfo(object sender, Syncfusion.Web.UI.WebControls.Grid.Grouping.GridTableCellStyleInfoEventArgs e)
    {

        Element el = e.TableCellIdentity.DisplayElement;
        if (el is CaptionRow && e.Style.TableCellIdentity.GroupedColumn != null)
        {
            switch (e.Style.TableCellIdentity.GroupedColumn.Name)
            {
                case "UnitName":
                    {
                        // We are manually populating the 2nd cell in the group caption with the UnitName in that group
                        if (e.Style.TableCellIdentity.ColIndex == 2)
                        {
                            Record r = el.ParentGroup.GetFirstRecord();
                            if (r != null)
                                e.Style.CellValue = r.GetValue("UnitName");
                        }
                        // We are manually populating the 5th  cell in the group caption with the Count of that record  in that group
                        else if (e.Style.TableCellIdentity.ColIndex == 5)
                        {
                            int recCount = el.ParentGroup.FlattenedRecords.Count;
                            e.Style.CellValue = recCount.ToString();
                        }
                        break;
                    }
                case "RegionName":
                    {
                        if (e.Style.TableCellIdentity.ColIndex == 3)
                        {
                            Record r = el.ParentGroup.GetFirstRecord();
                            if (r != null)
                                e.Style.CellValue = r.GetValue("RegionName");
                        }
                        else if (e.Style.TableCellIdentity.ColIndex == 5)
                        {
                            int recCount = el.ParentGroup.FlattenedRecords.Count;
                            e.Style.CellValue = recCount.ToString();
                        }
                        break;
                    }
                case "DivisionName":
                    {
                        if (e.Style.TableCellIdentity.ColIndex == 4)
                        {
                            Record r = el.ParentGroup.GetFirstRecord();
                            if (r != null)
                                e.Style.CellValue = r.GetValue("DivisionName");
                        }
                        else if (e.Style.TableCellIdentity.ColIndex == 5)
                        {
                            int recCount = el.ParentGroup.Records.Count;
                            e.Style.CellValue = recCount.ToString();
                        }
                        break;
                    }
            }
        }
        }
}
   

